Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.parsers
Class XMLGrammarPreparser

    java.lang.Object
      weblogic.apache.xerces.parsers.XMLGrammarPreparser

Deprecated. please use JDK supplied XML parsers and transformers

    public class XMLGrammarPreparser

extends Object

This class provides an easy way for a user to preparse grammars of various types. By default, it knows how to preparse external DTD's and schemas; it provides an easy way for user applications to register classes that know how to parse additional grammar types. By default, it does no grammar caching; but it provides ways for user applications to do so.

Field Summary
`protected static String` | `ENTITY_RESOLVER` Deprecated. Property identifier: entity resolver.
`protected static String` | `ERROR_HANDLER` Deprecated. Property identifier: error handler.
`protected static String` | `ERROR_REPORTER` Deprecated. Property identifier: error reporter.
`protected XMLEntityResolver` | `fEntityResolver` Deprecated.
`protected XMLErrorReporter` | `fErrorReporter` Deprecated.
`protected XMLGrammarPool` | `fGrammarPool` Deprecated.
`protected Locale` | `fLocale` Deprecated.
`protected SymbolTable` | `fSymbolTable` Deprecated.
`protected static String` | `GRAMMAR_POOL` Deprecated. Property identifier: grammar pool .
`protected static String` | `SYMBOL_TABLE` Deprecated. Property identifier: symbol table.

Constructor Summary
`XMLGrammarPreparser()` Deprecated. Default constructor.
`XMLGrammarPreparser(SymbolTable symbolTable)` Deprecated. Constructs a preparser using the specified symbol table.

Method Summary
`XMLEntityResolver` | `getEntityResolver()` Deprecated. Returns the registered entity resolver.
`XMLErrorHandler` | `getErrorHandler()` Deprecated. Returns the registered error handler.
`boolean` | `getFeature(String type, String featureId)` Deprecated.
`XMLGrammarPool` | `getGrammarPool()` Deprecated. Returns the registered grammar pool.
`XMLGrammarLoader` | `getLoader(String type)` Deprecated.
`Locale` | `getLocale()` Deprecated. Return the Locale the XMLGrammarLoader is using.
`Object` | `getProperty(String type, String propertyId)` Deprecated.
`Grammar` | `preparseGrammar(String type, XMLInputSource is)` Deprecated. Parse a grammar from a location identified by an XMLInputSource.
`boolean` | `registerPreparser(String grammarType, XMLGrammarLoader loader)` Deprecated.
`void` | `setEntityResolver(XMLEntityResolver entityResolver)` Deprecated. Sets the entity resolver.
`void` | `setErrorHandler(XMLErrorHandler errorHandler)` Deprecated. Sets the error handler.
`void` | `setFeature(String featureId, boolean value)` Deprecated.
`void` | `setGrammarPool(XMLGrammarPool grammarPool)` Deprecated. Sets the grammar pool.
`void` | `setLocale(Locale locale)` Deprecated. Set the locale to use for messages.
`void` | `setProperty(String propId, Object value)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYMBOL_TABLE

    protected static final String SYMBOL_TABLE

  Deprecated.
  Property identifier: symbol table.

  See Also:
    Constant Field Values

### ERROR_REPORTER

    protected static final String ERROR_REPORTER

  Deprecated.
  Property identifier: error reporter.

  See Also:
    Constant Field Values

### ERROR_HANDLER

    protected static final String ERROR_HANDLER

  Deprecated.
  Property identifier: error handler.

  See Also:
    Constant Field Values

### ENTITY_RESOLVER

    protected static final String ENTITY_RESOLVER

  Deprecated.
  Property identifier: entity resolver.

  See Also:
    Constant Field Values

### GRAMMAR_POOL

    protected static final String GRAMMAR_POOL

  Deprecated.
  Property identifier: grammar pool .

  See Also:
    Constant Field Values

### fSymbolTable

    protected SymbolTable fSymbolTable

  Deprecated.

### fErrorReporter

    protected XMLErrorReporter fErrorReporter

  Deprecated.

### fEntityResolver

    protected XMLEntityResolver fEntityResolver

  Deprecated.

### fGrammarPool

    protected XMLGrammarPool fGrammarPool

  Deprecated.

### fLocale

    protected Locale fLocale

  Deprecated.

Constructor Detail

### XMLGrammarPreparser

    public XMLGrammarPreparser()

  Deprecated.
  Default constructor.

### XMLGrammarPreparser

    public XMLGrammarPreparser(SymbolTable symbolTable)

  Deprecated.
  Constructs a preparser using the specified symbol table.

  Parameters:
    `symbolTable` - The symbol table to use.

Method Detail

### registerPreparser

    public boolean registerPreparser(String grammarType,
                                     XMLGrammarLoader loader)

  Deprecated.

### preparseGrammar

    public Grammar preparseGrammar(String type,
                                   XMLInputSource is)
                            throws XNIException,
                                   IOException

  Deprecated.
  Parse a grammar from a location identified by an XMLInputSource. This method also adds this grammar to the XMLGrammarPool

  Parameters:
    `type` - The type of the grammar to be constructed
    `source` - The XMLInputSource containing this grammar's information If a URI is included in the systemId field, the parser will not expand this URI or make it available to the EntityResolver
  Returns:
    The newly created `Grammar`.
  Throws:
    `XNIException` - thrown on an error in grammar construction
    `IOException` - thrown if an error is encountered in reading the file

### setLocale

    public void setLocale(Locale locale)

  Deprecated.
  Set the locale to use for messages.

  Parameters:
    `locale` - The locale object to use for localization of messages.
  Throws:
    `XNIException` - Thrown if the parser does not support the specified locale.

### getLocale

    public Locale getLocale()

  Deprecated.
  Return the Locale the XMLGrammarLoader is using.

### setErrorHandler

    public void setErrorHandler(XMLErrorHandler errorHandler)

  Deprecated.
  Sets the error handler.

  Parameters:
    `errorHandler` - The error handler.

### getErrorHandler

    public XMLErrorHandler getErrorHandler()

  Deprecated.
  Returns the registered error handler.

### setEntityResolver

    public void setEntityResolver(XMLEntityResolver entityResolver)

  Deprecated.
  Sets the entity resolver.

  Parameters:
    `entityResolver` - The new entity resolver.

### getEntityResolver

    public XMLEntityResolver getEntityResolver()

  Deprecated.
  Returns the registered entity resolver.

### setGrammarPool

    public void setGrammarPool(XMLGrammarPool grammarPool)

  Deprecated.
  Sets the grammar pool.

  Parameters:
    `grammarPool` - The new grammar pool.

### getGrammarPool

    public XMLGrammarPool getGrammarPool()

  Deprecated.
  Returns the registered grammar pool.

### getLoader

    public XMLGrammarLoader getLoader(String type)

  Deprecated.

### setFeature

    public void setFeature(String featureId,
                           boolean value)

  Deprecated.

### setProperty

    public void setProperty(String propId,
                            Object value)

  Deprecated.

### getFeature

    public boolean getFeature(String type,
                              String featureId)

  Deprecated.

### getProperty

    public Object getProperty(String type,
                              String propertyId)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD